#!/bin/bash -e

LINUX_PKG="linux-samsung-a7y18lte"
BUILD_ENVKERNEL=0

VALID_ARGS=$(getopt -o d --long envkernel -- "$@")
if [[ $? -ne 0 ]]; then
    exit 1;
fi

eval set -- "$VALID_ARGS"
while [ : ]; do
  case "$1" in
    -d | --envkernel)
        BUILD_ENVKERNEL=1
        shift
        ;;

    --)
        shift
        break
        ;;
  esac
done

set -x

if [[ $BUILD_ENVKERNEL -ne 0 ]]; then
    # pmbootstrap initfs hook_add debug-shell
    pmbootstrap build --envkernel --force $LINUX_PKG
    pmbootstrap build --force device-samsung-a7y18lte
    pmbootstrap initfs build
# else
    # pmbootstrap initfs hook_del debug-shell
    # pmbootstrap build $LINUX_PKG --force
fi

pmbootstrap install \
    --password pw \
    --android-recovery-zip --recovery-install-partition data \
